compiling problem on Solaris5.8

Hello,

I'm struggling with compiling matplotlib0.90.1 on Solaris5.9.
Although I set environ variables CC=gcc, installer arbitrarily put the special options such as -xO2 -xtarget=ultra -xarch=v8 that gcc can not handle. How can I suppress those machine dependent options?
It is probably not because of the matplotlib itself though...

Hyungjun